Subject: bug#50905: closed (Re: bug#50905: [PATCH core-updates 00/38] Clean up TODO(core-updates))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Oct 2021 16:55:02 +0000

Your bug report

#50905: [PATCH core-updates 00/38] Clean up TODO(core-updates)

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50905: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50905
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50905: [PATCH core-updates 00/38] Clean up TODO(core-updates)
From: Mathieu Othacehe <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked]
Date: Sat, 02 Oct 2021 16:54:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

> * guix/build-system/mozilla.scm
>   (lower-mozilla): New procedure.
>   (mozilla-build-system): New variable.
> * Makefile.am (MODULES): Add it.
> * doc/guix.texi (Build Systems): Document it.

Pushed the v2 on core-updates,

Thanks,

Mathieu

Subject: [PATCH core-updates 00/38] Clean up TODO(core-updates)
From: Maxime Devos <[email-masked]>
To: [email-masked]
Date: Thu, 30 Sep 2021 00:18:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guix,

This addresses things like

     ;; TODO(core-updates): make this unconditional
     `(,@(if (%current-target-system)
             `(("bash-minimal" ,bash-minimal)) ; for glib-or-gtk-wrap
             '())

It also introduces a mozilla-build-system, which is like gnu-build-system
except it overrides --target and --host to what mozilla software expects
and uses it for all Mozilla software I could identify that needs this.

I also removed a 'canonical-package' in isc-dhcp's input, because as I
understand it, ‘canonical packages’ aren't supposed to appear in the
references, except for gcc:lib and glibc perhaps?  (Not 100% sure,
but noone suggested using canonical-package when I told people to add
bash-minimal to package inputs.)

I also added a #:sh argument to wrap-qt-program to address a TODO(core-updates)
in guix/lint.scm and for consistency with wrap-program, but didn't test it
because of the many rebuilds.

I noted #:tests? wasn't respected in some packages I modified, which I fixed in
a few places.  I also removed trailing #t for some packages.

avahi and atk appear to (cross-)compile.  (I reverted
‘build/minetest-build-system: Move png-file? to (guix build utils).’ first to avoid
some rebuilds though.)

Greetings,
Maxime